// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: varset.cpp 816 2011-09-10 13:19:07Z Sebastian Kupferschmid $
//
////////////////////////////////////////////////////////////////////

#include "varset.h"
#include "variable.h"

#include <boost/foreach.hpp>
#include <iostream>
#define foreach BOOST_FOREACH

using namespace std;

ostream& varset_t::display(ostream& o) const {
    o << "{";
    foreach (const Variable* v, vars) {
	o << v->name << " ";
    }
    return o << "}";
}
